From d47e1d8fac682712cc752381d45f6cbb312443fc Mon Sep 17 00:00:00 2001
From: Chang Rebecca Swee Fun <rebecca.swee.fun.chang@intel.com>
Date: Fri, 27 Aug 2021 19:31:49 +0800
Subject: [PATCH] socfpga_stratix10_socdk: include reference design dtsi

Signed-off-by: Chang Rebecca Swee Fun <rebecca.swee.fun.chang@intel.com>
---
 .../dts/altera/socfpga_stratix10_ghrd.dtsi    | 79 +++++++++++++++++++
 .../dts/altera/socfpga_stratix10_socdk.dts    |  1 +
 2 files changed, 80 insertions(+)
 create mode 100644 arch/arm64/boot/dts/altera/socfpga_stratix10_ghrd.dtsi

diff --git a/arch/arm64/boot/dts/altera/socfpga_stratix10_ghrd.dtsi b/arch/arm64/boot/dts/altera/socfpga_stratix10_ghrd.dtsi
new file mode 100644
index 000000000000..0988b4681bf8
--- /dev/null
+++ b/arch/arm64/boot/dts/altera/socfpga_stratix10_ghrd.dtsi
@@ -0,0 +1,79 @@
+/*
+* Add this piece of dtsi fragment as #include "socfpga_stratis10_ghrd.dtsi"
+* in the file socfpga_stratix10_socdk.dts. Compile it in the kernel along with
+* socfpga_stratix10.dtsi.
+*/
+
+/{
+	soc {
+
+		led_pio: gpio@1080 {
+				compatible = "altr,pio-1.0";
+				reg = <0xf9001080 0x8>;
+				altr,gpio-bank-width = <4>;
+				#gpio-cells = <2>;
+				gpio-controller;
+				resetvalue = <0>;
+		};
+
+		button_pio: gpio@1060 {
+				compatible = "altr,pio-1.0";
+				reg = <0xf9001060 0x10>;
+				interrupt-parent = <&intc>;
+				interrupts = <0 18 4>;
+				altr,gpio-bank-width = <4>;
+				altr,interrupt-type = <2>;
+                                altr,interrupt_type = <2>;
+				#gpio-cells = <2>;
+				gpio-controller;
+		};
+
+		dipsw_pio: gpio@1070 {
+				compatible = "altr,pio-1.0";
+				reg = <0xf9001070 0x10>;
+				interrupt-parent = <&intc>;
+				interrupts = <0 17 4>;
+				altr,gpio-bank-width = <4>;
+				altr,interrupt-type = <3>;
+                                altr,interrupt_type = <3>;
+				#gpio-cells = <2>;
+				gpio-controller;
+		};
+
+		trigger_pio: gpio@1040 {
+				compatible = "altr,pio-1.0";
+				reg = <0xf9001040 0x20>;
+				altr,gpio-bank-width = <4>;
+				#gpio-cells = <2>;
+				gpio-controller;
+				resetvalue = <0>;
+		};
+
+		soc_leds: leds {
+			compatible = "gpio-leds";
+
+			led_fpga0: fpga0 {
+					label = "fpga_led0";
+					gpios = <&led_pio 0 0>;
+			}; //end fpga0 (led_fpga0)
+
+			led_fpga1: fpga1 {
+					label = "fpga_led1";
+					gpios = <&led_pio 1 0>;
+			}; //end fpga1 (led_fpga1)
+
+			led_fpga2: fpga2 {
+					label = "fpga_led2";
+					gpios = <&led_pio 2 0>;
+			}; //end fpga2 (led_fpga2)
+
+			led_fpga3: fpga3 {
+					label = "fpga_led3";
+					gpios = <&led_pio 3 0>;
+			}; //end fpga3 (led_fpga3)
+		};
+
+	};
+};
+
+
diff --git a/arch/arm64/boot/dts/altera/socfpga_stratix10_socdk.dts b/arch/arm64/boot/dts/altera/socfpga_stratix10_socdk.dts
index 5203cb0eeedc..930554fae249 100644
--- a/arch/arm64/boot/dts/altera/socfpga_stratix10_socdk.dts
+++ b/arch/arm64/boot/dts/altera/socfpga_stratix10_socdk.dts
@@ -5,6 +5,7 @@
 
 #include "socfpga_stratix10.dtsi"
 #include "socfpga_stratix10_qse.dtsi"
+#include "socfpga_stratix10_ghrd.dtsi"
 
 / {
 	model = "SoCFPGA Stratix 10 SoCDK";
-- 
2.17.1

